CREATE TABLE IF NOT EXISTS `a_ads_manager_areas` (
  `area_id` int(11) NOT NULL auto_increment,
  `title` varchar(50) NOT NULL,
  `ident` varchar(50) NOT NULL,
  PRIMARY KEY  (`area_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;
//=====================================//
INSERT INTO `a_ads_manager_areas` (`area_id`, `title`, `ident`) VALUES
(1, '  ', 'all_pages_up'),
(2, '  ', 'all_pages_down');
//=====================================//
CREATE TABLE IF NOT EXISTS `a_ads_manager_links` (
  `link_id` int(11) NOT NULL auto_increment,
  `area_id` int(11) NOT NULL,
  `area_ident` varchar(50) NOT NULL,
  `title` varchar(50) NOT NULL,
  `url` varchar(255) NOT NULL,
  `names` text NOT NULL,
  `position` int(11) NOT NULL,
  `count_all` int(11) NOT NULL,
  PRIMARY KEY  (`link_id`),
  KEY `area_id` (`area_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;
//=====================================//
INSERT INTO `a_ads_manager_links` (`link_id`, `area_id`, `area_ident`, `title`, `url`, `names`, `position`, `count_all`) VALUES
(1, 1, 'all_pages_up', ' ', 'http://mobilecms.ru', '[red] wap CMS![/red]', 2, 1),
(3, 2, 'all_pages_down', ' ', 'http://mobilecms.ru', '[red] [/red]\r\n[green] [/green]\r\n[blue] [/blue]', 1, 0);
//=====================================//
CREATE TABLE IF NOT EXISTS `a_chat_messages` (
  `message_id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `room_id` tinyint(3) NOT NULL,
  `message` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`message_id`),
  KEY `user_id` (`user_id`,`room_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT=' ,  ' AUTO_INCREMENT=2 ;
//=====================================//
INSERT INTO `a_chat_messages` (`message_id`, `user_id`, `room_id`, `message`, `time`) VALUES
(1, 1, 1, ':-)', 1277386164);
//=====================================//
CREATE TABLE IF NOT EXISTS `a_chat_rooms` (
  `room_id` tinyint(3) NOT NULL auto_increment,
  `position` tinyint(2) NOT NULL,
  `name` varchar(50) NOT NULL,
  PRIMARY KEY  (`room_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='   ' AUTO_INCREMENT=2 ;
//=====================================//
INSERT INTO `a_chat_rooms` (`room_id`, `position`, `name`) VALUES
(1, 1, ' ');
//=====================================//
CREATE TABLE IF NOT EXISTS `a_comments_posts` (
  `comment_id` int(11) NOT NULL auto_increment,
  `module` varchar(30) NOT NULL,
  `item_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` varchar(300) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`comment_id`),
  KEY `item_id` (`item_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;
//=====================================//
INSERT INTO `a_comments_posts` (`comment_id`, `module`, `item_id`, `user_id`, `text`, `time`) VALUES
(1, 'news', 1, 1, ' ', 1277902244),
(2, 'news', 1, 1, '', 1277902267);
//=====================================//
CREATE TABLE IF NOT EXISTS `a_config` (
  `id` int(11) NOT NULL auto_increment,
  `module` varchar(30) NOT NULL,
  `key` varchar(30) NOT NULL,
  `value` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=34 ;
//=====================================//
INSERT INTO `a_config` (`id`, `module`, `key`, `value`) VALUES
(1, 'system', 'system_title', 'MobileCMS'),
(2, 'system', 'system_email', 'mobilecms@mail.ru'),
(3, 'system', 'default_module', 'main'),
(4, 'system', 'ext', '.php'),
(5, 'system', 'main_menu', 'user/profile'),
(6, 'system', 'pin_code_time', '72'),
(7, 'system', 'antiflud_time', '20'),
(8, 'system', 'profiler', 'off'),
(9, 'system', 'display_errors', '1'),
(10, 'downloads', 'files_prefix', 'site'),
(11, 'downloads', 'files_per_page', '7'),
(12, 'downloads', 'directories_per_page', '50'),
(13, 'downloads', 'files_prefix', 'site'),
(14, 'downloads', 'files_per_page', '7'),
(15, 'downloads', 'directories_per_page', '50'),
(16, 'downloads', 'files_prefix', 'site'),
(17, 'downloads', 'files_per_page', '7'),
(18, 'downloads', 'directories_per_page', '50'),
(19, 'downloads', 'files_prefix', 'site'),
(20, 'downloads', 'files_per_page', '7'),
(21, 'downloads', 'directories_per_page', '50'),
(22, 'downloads', 'files_prefix', 'site'),
(23, 'downloads', 'files_per_page', '7'),
(24, 'downloads', 'directories_per_page', '50'),
(25, 'chat', 'online_time', '10'),
(26, 'chat', 'messages_per_page', '7'),
(27, 'chat', 'message_max_len', '300'),
(28, 'chat', 'guests_in_chat', '0'),
(29, 'forum', 'show_forums_in_list_sections', '1'),
(30, 'forum', 'messages_per_page', '7'),
(31, 'forum', 'topics_per_page', '7'),
(32, 'forum', 'guests_create_topics', '0'),
(33, 'forum', 'guests_write_messages', '0');
//=====================================//
CREATE TABLE IF NOT EXISTS `a_downloads_directories` (
  `directory_id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) default '0',
  `name` varchar(30) NOT NULL,
  `images` enum('yes','no') NOT NULL default 'no',
  `user_files` enum('yes','no') NOT NULL default 'no',
  `position` int(11) default '0',
  PRIMARY KEY  (`directory_id`),
  KEY `parent_id` (`parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;
//=====================================//
INSERT INTO `a_downloads_directories` (`directory_id`, `parent_id`, `name`, `images`, `user_files`, `position`) VALUES
(1, 0, '', 'yes', 'no', 1),
(2, 0, '', 'no', 'no', 2),
(3, 0, '', 'no', 'no', 3),
(4, 0, '', 'yes', 'no', 4),
(5, 0, '', 'no', 'no', 5),
(6, 0, '', 'no', 'no', 6);
//=====================================//
CREATE TABLE IF NOT EXISTS `a_downloads_files` (
  `file_id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `directory_id` int(11) default '0',
  `time` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `real_name` varchar(50) NOT NULL,
  `path_to_file` varchar(100) NOT NULL,
  `filesize` float NOT NULL,
  `file_ext` varchar(10) NOT NULL,
  `about` varchar(1000) NOT NULL,
  `downloads` int(11) default '0',
  `screen1` varchar(50) NOT NULL,
  `screen2` varchar(50) NOT NULL,
  `screen3` varchar(50) NOT NULL,
  `add_file_real_name_1` varchar(50) NOT NULL,
  `add_file_view_name_1` varchar(50) NOT NULL,
  `add_file_real_name_2` varchar(50) NOT NULL,
  `add_file_view_name_2` varchar(50) NOT NULL,
  `add_file_real_name_3` varchar(50) NOT NULL,
  `add_file_view_name_3` varchar(50) NOT NULL,
  `add_file_real_name_4` varchar(50) NOT NULL,
  `add_file_view_name_4` varchar(50) NOT NULL,
  `add_file_real_name_5` varchar(50) NOT NULL,
  `add_file_view_name_5` varchar(50) NOT NULL,
  `status` enum('active','moderate') NOT NULL default 'active',
  `previews` enum('yes','no') NOT NULL default 'no',
  PRIMARY KEY  (`file_id`),
  KEY `dirrectory_id` (`directory_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1000 ;
//=====================================//
INSERT INTO `a_downloads_files` (`file_id`, `user_id`, `directory_id`, `time`, `name`, `real_name`, `path_to_file`, `filesize`, `file_ext`, `about`, `downloads`, `screen1`, `screen2`, `screen3`, `add_file_real_name_1`, `add_file_view_name_1`, `add_file_real_name_2`, `add_file_view_name_2`, `add_file_real_name_3`, `add_file_view_name_3`, `add_file_real_name_4`, `add_file_view_name_4`, `add_file_real_name_5`, `add_file_view_name_5`, `status`, `previews`) VALUES
(2, 1, 1, 1277912923, 'me', 'me.jpg', 'files/downloads/1/2', 11846, 'jpg', '', 4, '', '', '', '', '', '', '', '', '', '', '', '', '', 'active', 'yes');
//=====================================//
CREATE TABLE IF NOT EXISTS `a_forum_forums` (
  `forum_id` int(11) NOT NULL auto_increment,
  `section_id` int(11) NOT NULL,
  `position` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `topics` int(11) NOT NULL,
  `messages` int(11) NOT NULL,
  PRIMARY KEY  (`forum_id`),
  KEY `section_id` (`section_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;
//=====================================//
INSERT INTO `a_forum_forums` (`forum_id`, `section_id`, `position`, `name`, `topics`, `messages`) VALUES
(1, 1, 1, ' ', 2, 5);
//=====================================//
CREATE TABLE IF NOT EXISTS `a_forum_messages` (
  `message_id` int(11) NOT NULL auto_increment,
  `topic_id` int(11) NOT NULL,
  `section_id` int(11) NOT NULL,
  `forum_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `message` varchar(1000) NOT NULL,
  `is_first_message` tinyint(1) NOT NULL default '0',
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`message_id`),
  KEY `topic_id` (`topic_id`),
  KEY `forum_id` (`forum_id`),
  KEY `section_id` (`section_id`),
  FULLTEXT KEY `message` (`message`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;
//=====================================//
INSERT INTO `a_forum_messages` (`message_id`, `topic_id`, `section_id`, `forum_id`, `user_id`, `message`, `is_first_message`, `time`) VALUES
(1, 1, 1, 1, 1, ' ', 1, 1277385787),
(2, 1, 1, 1, 1, '', 0, 1277912093),
(3, 2, 1, 1, 1, '  *TOILET_PLUMS*', 1, 1277912132),
(4, 1, 1, 1, 1, '', 0, 1277913714),
(5, 1, 1, 1, 1, '*HANG*', 0, 1277926486);
//=====================================//
CREATE TABLE IF NOT EXISTS `a_forum_sections` (
  `section_id` int(11) NOT NULL auto_increment,
  `position` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY  (`section_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;
//=====================================//
INSERT INTO `a_forum_sections` (`section_id`, `position`, `name`) VALUES
(1, 1, ' ');
//=====================================//
CREATE TABLE IF NOT EXISTS `a_forum_topics` (
  `topic_id` int(11) NOT NULL auto_increment,
  `section_id` int(11) NOT NULL,
  `forum_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `name` varchar(30) NOT NULL,
  `time` int(11) NOT NULL,
  `last_message_time` int(11) NOT NULL,
  `last_user_id` int(11) NOT NULL,
  `messages` int(11) NOT NULL,
  `is_top_topic` tinyint(1) default '0',
  `is_close_topic` tinyint(1) default '0',
  PRIMARY KEY  (`topic_id`),
  KEY `forum_id` (`forum_id`),
  KEY `user_id` (`user_id`),
  KEY `section_id` (`section_id`),
  KEY `last_user_id` (`last_user_id`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;
//=====================================//
INSERT INTO `a_forum_topics` (`topic_id`, `section_id`, `forum_id`, `user_id`, `name`, `time`, `last_message_time`, `last_user_id`, `messages`, `is_top_topic`, `is_close_topic`) VALUES
(1, 1, 1, 1, ' ', 1277385787, 1277926486, 1, 3, 0, 0),
(2, 1, 1, 1, ' ', 1277912132, 1277912132, 1, 0, 0, 0);
//=====================================//
CREATE TABLE IF NOT EXISTS `a_guestbook` (
  `message_id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `username` varchar(50) NOT NULL,
  `message` varchar(300) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`message_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;
//=====================================//
INSERT INTO `a_guestbook` (`message_id`, `user_id`, `username`, `message`, `time`) VALUES
(10, 1, 'Ant0ha', '*POOH_GO*', 1277901816);
//=====================================//
CREATE TABLE IF NOT EXISTS `a_modules` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(30) NOT NULL,
  `title` varchar(30) NOT NULL,
  `admin_link` varchar(30) NOT NULL,
  `description` varchar(100) NOT NULL,
  `installed` tinyint(1) NOT NULL,
  `status` enum('on','off') NOT NULL default 'off',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=19 ;
//=====================================//
INSERT INTO `a_modules` (`id`, `name`, `title`, `admin_link`, `description`, `installed`, `status`) VALUES
(5, 'downloads', '', 'downloads/admin', ' ', 1, 'on'),
(6, 'chat', '', 'chat/admin', ' ', 1, 'on'),
(7, 'forum', '', 'forum/admin', ' ', 1, 'on'),
(8, 'smiles', '', 'smiles/admin', '    ', 1, 'on'),
(9, 'pages', '', 'pages/admin', '   ', 1, 'on'),
(12, 'comments', '', '', ' ', 1, 'on'),
(13, 'news', '', 'news/admin', ' ', 1, 'on'),
(14, 'guestbook', ' ', '', '  ', 1, 'on'),
(18, 'ads_manager', '  ', 'ads_manager/admin', '', 1, 'on');
//=====================================//
CREATE TABLE IF NOT EXISTS `a_news` (
  `news_id` int(11) NOT NULL auto_increment,
  `subject` varchar(100) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`news_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;
//=====================================//
INSERT INTO `a_news` (`news_id`, `subject`, `text`, `time`) VALUES
(1, ' ', '', 1277469809);
//=====================================//
CREATE TABLE IF NOT EXISTS `a_pages` (
  `page_id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `title` varchar(50) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY  (`page_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;
//=====================================//
INSERT INTO `a_pages` (`page_id`, `user_id`, `title`, `content`) VALUES
(1, 0, ' ', ' '),
(2, 0, ' ', ' ');
//=====================================//
CREATE TABLE IF NOT EXISTS `a_smiles` (
  `smile_id` int(11) NOT NULL auto_increment,
  `code` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `status` enum('enable','desable') NOT NULL default 'enable',
  PRIMARY KEY  (`smile_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=222 ;
//=====================================//
INSERT INTO `a_smiles` (`smile_id`, `code`, `image`, `status`) VALUES
(1, 'O:-)', 'aa.gif', 'enable'),
(2, 'O=)', 'aa.gif', 'enable'),
(3, ':-)', 'ab.gif', 'enable'),
(4, ':)', 'ab.gif', 'enable'),
(5, '=)', 'ab.gif', 'enable'),
(6, ':-(', 'ac.gif', 'enable'),
(7, ':(', 'ac.gif', 'enable'),
(8, ';(', 'ac.gif', 'enable'),
(9, ';-)', 'ad.gif', 'enable'),
(10, ';)', 'ad.gif', 'enable'),
(11, ':-P', 'ae.gif', 'enable'),
(12, '8-)', 'af.gif', 'enable'),
(13, ':-D', 'ag.gif', 'enable'),
(14, ':-[', 'ah.gif', 'enable'),
(15, '=-O', 'ai.gif', 'enable'),
(16, ':-*', 'aj.gif', 'enable'),
(17, ':-X', 'al.gif', 'enable'),
(18, ':-x', 'al.gif', 'enable'),
(19, '>:o', 'am.gif', 'enable'),
(20, ':-|', 'an.gif', 'enable'),
(21, ':-/', 'ao.gif', 'enable'),
(22, '*JOKINGLY*', 'ap.gif', 'enable'),
(23, ']:->', 'aq.gif', 'enable'),
(24, '[:-}', 'ar.gif', 'enable'),
(25, '*KISSED*', 'as.gif', 'enable'),
(26, ':-!', 'at.gif', 'enable'),
(27, '*TIRED*', 'au.gif', 'enable'),
(28, '*STOP*', 'av.gif', 'enable'),
(29, '*KISSING*', 'aw.gif', 'enable'),
(31, '*THUMBS UP*', 'ay.gif', 'enable'),
(32, '*DRINK*', 'az.gif', 'enable'),
(33, '*IN LOVE*', 'ba.gif', 'enable'),
(34, '@=', 'bb.gif', 'enable'),
(35, '*HELP*', 'bc.gif', 'enable'),
(36, 'm/', 'bd.gif', 'enable'),
(37, '%)', 'be.gif', 'enable'),
(38, '*OK*', 'bf.gif', 'enable'),
(39, '*WASSUP*', 'bg.gif', 'enable'),
(40, '*SUP*', 'bg.gif', 'enable'),
(41, '*SORRY*', 'bh.gif', 'enable'),
(42, '*BRAVO*', 'bi.gif', 'enable'),
(43, '*ROFL*', 'bj.gif', 'enable'),
(44, '*LOL*', 'bj.gif', 'enable'),
(45, '*PARDON*', 'bk.gif', 'enable'),
(46, '*NO*', 'bl.gif', 'enable'),
(47, '*CRAZY*', 'bm.gif', 'enable'),
(48, '*DONT_KNOW*', 'bn.gif', 'enable'),
(49, '*UNKNOWN*', 'bn.gif', 'enable'),
(50, '*DANCE*', 'bo.gif', 'enable'),
(51, '*YAHOO*', 'bp.gif', 'enable'),
(52, '*YAHOO!*', 'bp.gif', 'enable'),
(53, '*NEW_PACK*', 'bq.gif', 'enable'),
(54, '*TEASE*', 'br.gif', 'enable'),
(55, '*SALIVA*', 'bs.gif', 'enable'),
(56, '*DASH*', 'bt.gif', 'enable'),
(57, '*WILD*', 'bu.gif', 'enable'),
(58, '*TRAINING*', 'bv.gif', 'enable'),
(59, '*FOCUS*', 'bw.gif', 'enable'),
(60, '*HANG*', 'bx.gif', 'enable'),
(61, '*DANCE*', 'by.gif', 'enable'),
(62, '*DANCE2*', 'bz.gif', 'enable'),
(63, '*MEGA_SHOK*', 'ca.gif', 'enable'),
(64, '*TO_PICK_ONES_NOSE*', 'cb.gif', 'enable'),
(65, '*YU*', 'cc.gif', 'enable'),
(66, '*HUNTER*', 'cd.gif', 'enable'),
(67, '*KUKU*', 'ce.gif', 'enable'),
(68, '*FUCK*', 'cf.gif', 'enable'),
(69, '*FAN*', 'cg.gif', 'enable'),
(70, '*ASS*', 'ch.gif', 'enable'),
(71, '*LOCOMOTIVE*', 'ci.gif', 'enable'),
(72, '*BB*', 'cj.gif', 'enable'),
(73, '*CONCUSSION*', 'ck.gif', 'enable'),
(74, '*PLEASANTRY*', 'cl.gif', 'enable'),
(75, '*DISAPPEAR*', 'cm.gif', 'enable'),
(76, '*SUICIDE*', 'cn.gif', 'enable'),
(77, '*PILOT*', 'co.gif', 'enable'),
(78, '*DOWN*', 'cp.gif', 'enable'),
(79, '*ENERGY*', 'cq.gif', 'enable'),
(80, '*STINKER*', 'cr.gif', 'enable'),
(81, '*PREVED*', 'cs.gif', 'enable'),
(82, '*I-M_SO_HAPPY*', 'ct.gif', 'enable'),
(83, '*PRANKSTER*', 'cu.gif', 'enable'),
(84, '*LAUGH*', 'cv.gif', 'enable'),
(85, '*BOAST*', 'cw.gif', 'enable'),
(86, '*THANK_YOU*', 'cx.gif', 'enable'),
(87, '*SHOUT*', 'cy.gif', 'enable'),
(88, '*VICTORY*', 'cz.gif', 'enable'),
(89, '*WINK*', 'da.gif', 'enable'),
(90, '*SPITEFUL*', 'db.gif', 'enable'),
(91, '*BYE*', 'dc.gif', 'enable'),
(92, '*THIS*', 'dd.gif', 'enable'),
(93, '*DON-T_MENTION*', 'de.gif', 'enable'),
(94, '*SARCASTIC_HAND*', 'df.gif', 'enable'),
(95, '*FIE*', 'dg.gif', 'enable'),
(96, '*SWOON*', 'dh.gif', 'enable'),
(97, '*SCARE*', 'di.gif', 'enable'),
(98, '*ANGER*', 'dj.gif', 'enable'),
(99, '*YESS*', 'dk.gif', 'enable'),
(100, '*VAVA*', 'dl.gif', 'enable'),
(101, '*SCRATCH_ONE-S_HEAD*', 'dm.gif', 'enable'),
(102, '*NONO*', 'dn.gif', 'enable'),
(103, '*WHISTLE*', 'do.gif', 'enable'),
(104, '*UMNIK*', 'dp.gif', 'enable'),
(105, '*ZOOM*', 'dq.gif', 'enable'),
(106, '*HEAT*', 'dr.gif', 'enable'),
(107, '*DECLARE*', 'ds.gif', 'enable'),
(108, '*IDEA*', 'dt.gif', 'enable'),
(109, '*ON_THE_QUIET*', 'du.gif', 'enable'),
(110, '*GIVE_HEART*', 'dv.gif', 'enable'),
(111, '*GIVE_FLOWERS*', 'dw.gif', 'enable'),
(112, '*FRIENDS*', 'dx.gif', 'enable'),
(113, '*PUNISH*', 'dy.gif', 'enable'),
(114, '*PORKA*', 'dz.gif', 'enable'),
(115, '*PARTY*', 'ea.gif', 'enable'),
(116, '*GIRL_SMILE*', 'eb.gif', 'enable'),
(117, '*TENDER*', 'ec.gif', 'enable'),
(119, '*CURTSEY*', 'ee.gif', 'enable'),
(120, '*GOGOT*', 'ef.gif', 'enable'),
(121, '*GIRL_WINK*', 'eg.gif', 'enable'),
(122, '*GIRL_BLUM*', 'eh.gif', 'enable'),
(123, '*GIRL_HIDE*', 'ei.gif', 'enable'),
(124, '*GIRL_CRAZY*', 'ej.gif', 'enable'),
(125, '*GIRL_WACKO*', 'ek.gif', 'enable'),
(126, '*GIRL_IN_LOVE*', 'el.gif', 'enable'),
(127, '*GIRL_DANCE*', 'em.gif', 'enable'),
(128, '*KISS2*', 'en.gif', 'enable'),
(129, '*GIRL_PINKGLASSESF*', 'eo.gif', 'enable'),
(130, '*GIRL_MAD*', 'ep.gif', 'enable'),
(131, '*HISTERIC*', 'eq.gif', 'enable'),
(132, '*GIRL_SIGH*', 'er.gif', 'enable'),
(133, '*GIRL_SAD*', 'es.gif', 'enable'),
(134, '*GIRL_CRAY*', 'et.gif', 'enable'),
(135, '*GIRL_CRAY2*', 'eu.gif', 'enable'),
(136, '*GIRL_IMPOSSIBLE*', 'ev.gif', 'enable'),
(137, '*GIRL_DRINK*', 'ew.gif', 'enable'),
(138, '*GIRL_MIRROR*', 'ex.gif', 'enable'),
(139, '*NAILS*', 'ey.gif', 'enable'),
(140, '*GIRL_HOSPITAL*', 'ez.gif', 'enable'),
(141, '*GIRL_KID*', 'fa.gif', 'enable'),
(142, '*GIRL_HAIR_DRIER*', 'fb.gif', 'enable'),
(143, '*GIRL_WITCH*', 'fc.gif', 'enable'),
(144, '*FIRST_MOVIE*', 'fd.gif', 'enable'),
(145, '*SLAP_IN_THE_FACE*', 'fe.gif', 'enable'),
(146, '*FRIENDSHIP*', 'ff.gif', 'enable'),
(147, '*GIRL_KISSES*', 'fg.gif', 'enable'),
(148, '*ON_HANDS*', 'fh.gif', 'enable'),
(149, '*IT_IS_LOVE*', 'fi.gif', 'enable'),
(150, '*SUPPER_FOR_A_TWO*', 'fj.gif', 'enable'),
(151, '*SEX_BEHIND*', 'fk.gif', 'enable'),
(152, '*SEX_BED*', 'fl.gif', 'enable'),
(153, '*BABY1*', 'fm.gif', 'enable'),
(154, '*BABY2*', 'fn.gif', 'enable'),
(155, '*BABY3*', 'fo.gif', 'enable'),
(156, '*BABY4*', 'fp.gif', 'enable'),
(157, '*BABY5*', 'fq.gif', 'enable'),
(158, '*MUSIC_FORGE*', 'fr.gif', 'enable'),
(159, '*MUSIC_SAXOPHONE*', 'fs.gif', 'enable'),
(160, '*MUSIC_FLUTE*', 'ft.gif', 'enable'),
(161, '*MUSIC_VIOLIN*', 'fu.gif', 'enable'),
(162, '*MUSIC_PIANO*', 'fv.gif', 'enable'),
(163, '*MUSIC_DRUMS*', 'fw.gif', 'enable'),
(164, '*MUSIC_ACCORDION*', 'fx.gif', 'enable'),
(165, '*VINSENT*', 'fy.gif', 'enable'),
(166, '*FRENK*', 'fz.gif', 'enable'),
(167, '*TOMMY*', 'ga.gif', 'enable'),
(168, '*BIG_BOSS*', 'gb.gif', 'enable'),
(169, '*HI*', 'gc.gif', 'enable'),
(170, '*BUBA*', 'gd.gif', 'enable'),
(171, '*RUSSIAN_RU*', 'ge.gif', 'enable'),
(172, '*BRUNETTE*', 'gf.gif', 'enable'),
(173, '*GIRL_DEVIL*', 'gg.gif', 'enable'),
(174, '*GIRL_WEREWOLF*', 'gh.gif', 'enable'),
(175, '*QUEEN*', 'gi.gif', 'enable'),
(176, '*KING*', 'gj.gif', 'enable'),
(177, '*BEACH*', 'gk.gif', 'enable'),
(178, '*SMOKE*', 'gl.gif', 'enable'),
(179, '*SCENIC*', 'gm.gif', 'enable'),
(180, '*READER*', 'gn.gif', 'enable'),
(181, '*READ*', 'go.gif', 'enable'),
(182, '*RTFM*', 'gp.gif', 'enable'),
(183, '*TO_KEEP_ORDER*', 'gq.gif', 'enable'),
(184, '*WIZARD*', 'gr.gif', 'enable'),
(185, '*LAZY*', 'gs.gif', 'enable'),
(186, '*DENTAL*', 'gt.gif', 'enable'),
(187, '*SUPERSTITION*', 'gu.gif', 'enable'),
(188, '*CRAZY_PILOT*', 'gv.gif', 'enable'),
(189, '*TO_BECOME_SENILE*', 'gw.gif', 'enable'),
(190, '*DOWNLOAD*', 'gx.gif', 'enable'),
(191, '*TELEPHONE*', 'gy.gif', 'enable'),
(192, '*DIVER*', 'gz.gif', 'enable'),
(193, '*WAKE_UP*', 'ha.gif', 'enable'),
(194, '*ICE_CREAM*', 'hb.gif', 'enable'),
(195, '*JOURNALIST*', 'hc.gif', 'enable'),
(196, '*SOAP_BUBBLES*', 'hd.gif', 'enable'),
(197, '*BODY_BUILDER*', 'he.gif', 'enable'),
(198, '*CUP_OF_COFFEE*', 'hf.gif', 'enable'),
(199, '*SOCCER*', 'hg.gif', 'enable'),
(200, '*SWIMMER*', 'hh.gif', 'enable'),
(201, '*PIRATE*', 'hi.gif', 'enable'),
(202, '*CLOWN*', 'hj.gif', 'enable'),
(203, '*JESTER*', 'hk.gif', 'enable'),
(204, '*CANNIBAL_DRUMS*', 'hl.gif', 'enable'),
(205, '*PIONEER*', 'hm.gif', 'enable'),
(206, '*MOIL*', 'hn.gif', 'enable'),
(207, '*PAINT*', 'ho.gif', 'enable'),
(208, '*SUPERMAN*', 'hp.gif', 'enable'),
(209, '*COLD*', 'hq.gif', 'enable'),
(210, '*ILLNESS*', 'hr.gif', 'enable'),
(211, '*WINNER*', 'hs.gif', 'enable'),
(212, '*POLICE*', 'ht.gif', 'enable'),
(213, '*TOILET_PLUMS*', 'hu.gif', 'enable'),
(214, '*DEATH*', 'hv.gif', 'enable'),
(215, '*ZOMBIE*', 'hw.gif', 'enable'),
(216, '*UFO*', 'hx.gif', 'enable'),
(217, '*SUN*', 'hy.gif', 'enable'),
(218, '*PUMPKIN_GRIEF*', 'hz.gif', 'enable'),
(219, '*PUMPKIN_SMILE*', 'ia.gif', 'enable'),
(220, '*POOH_GO*', 'ib.gif', 'enable'),
(221, '*SEX_BEHIND2*', 'ic.gif', 'enable');
//=====================================//
CREATE TABLE IF NOT EXISTS `a_users` (
  `user_id` int(11) NOT NULL auto_increment,
  `username` varchar(50) NOT NULL,
  `password` varchar(32) NOT NULL,
  `email` varchar(255) NOT NULL,
  `reg_time` bigint(20) NOT NULL,
  `last_visit` bigint(20) NOT NULL,
  `pin_code` varchar(32) default NULL,
  `pin_code_time` bigint(20) NOT NULL,
  `balance` float NOT NULL,
  `chat_room_id` tinyint(4) NOT NULL,
  `chat_last_time` int(11) NOT NULL,
  `chat_update` tinyint(4) NOT NULL,
  `status` enum('guest','banned','user','moder','admin') NOT NULL default 'user',
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;
//=====================================//
INSERT INTO `a_users` (`user_id`, `username`, `password`, `email`, `reg_time`, `last_visit`, `pin_code`, `pin_code_time`, `balance`, `status`) VALUES
(-1, 'Guest', '', '', 1243421222, 0, '12462c1ac3bdf5f0673611834b405ec7', 1243430310, 10, 'guest'),
(1, '{ADMIN_LOGIN}', '{ADMIN_PASSWORD}', '{ADMIN_EMAIL}', UNIX_TIMESTAMP(), UNIX_TIMESTAMP(), NULL, 0, 0, 'admin');
//=====================================//
CREATE TABLE IF NOT EXISTS `a_users_ban` (
  `ban_id` bigint(20) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `to_time` int(11) NOT NULL,
  `description` varchar(1000) NOT NULL,
  `status` enum('enable','disable') default 'enable',
  PRIMARY KEY  (`ban_id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
//=====================================//
CREATE TABLE IF NOT EXISTS `a_users_profiles` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `real_name` varchar(20) NOT NULL,
  `birthday_time` int(11) NOT NULL,
  `about` varchar(500) NOT NULL,
  `avatar` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;
//=====================================//
INSERT INTO `a_users_profiles` (`id`, `user_id`, `real_name`, `birthday_time`, `about`, `avatar`) VALUES
(1, 1, '', -10800, ' ', 1);