<?php
/**
 * Ant0ha's project
 *
 * @package
 * @author Anton Pisarenko <wapwork@bk.ru>
 * @copyright Copyright (c) 2006 - 2010, Anton Pisarenko
 * @license http://ant0ha.ru/license.txt
 * @link http://ant0ha.ru
 */

//----------------------------------------

/**
 * Controller class
 *
 * @author Ant0ha
 */
abstract class Controller {
	/**
	* Переменная, в которую записываем ошибки при валидации форм
	*/
	public $error = FALSE;
	/**
	* Класс шаблонизатора
	*/
	public $tpl;
	/**
	* Уровень пользовательского доступа
	*/
	public $access_lever = 0;
	/**
	* Тип шаблонизатора
	*/
	protected $template_type = 'native_php_template';
	/**
	* Тема
	*/
	protected $template_theme = 'default';
	/**
	* Количество элементов на страницу по умолчанию
	*/
	protected $per_page = 7;

	/**
	* Constructor
	*/
	public function __construct() {
		$this->config =& $GLOBALS['CONFIG'];
		$this->db =& $GLOBALS['db'];

		# Определение старта для пагинации
		$this->start = !empty($_GET['start']) ? intval($_GET['start']) : 0;

		switch($this->template_type) {
			# Смарти
			case  'smarty':
				a_import('libraries/smarty');
				$this->tpl = new MY_Smarty;
				$this->tpl->compile_dir = ROOT .'cache/smarty_templates/';
				break;

			# Native php
			case 'native_php_template':
				a_import('libraries/native_php_template');
				$this->tpl = new Native_Php_Template;
				break;

			# Если шаблонизатор не определен
			default:
				a_error('Укажите тип шаблонизатора!');
		}
		$GLOBALS['tpl'] = $this->tpl;

		$this->tpl->theme = $this->template_theme;
		define('THEME', $this->tpl->theme);

		# Загрузка пользовательской модели
		$this->user_model = a_load_class('modules/user/models/user_model');

		# Получаем информацию о пользователе
		$this->user = $this->user_model->get_user_info();
		define('USER_ID', $this->user['user_id']);
		$this->tpl->assign('user', $this->user);

		# Управление правами доступа
		$this->access = a_load_class('libraries/access');

		if($this->user) $access_level = $this->access->get_level($this->user['status']);
		else $access_level = 1;

		define('ACCESS_LEVEL', $access_level);

		#$this->access->check($this->access_level);
		if(ACCESS_LEVEL < $this->access_level) {
        	if(USER_ID == -1) {
        		a_error('Для доступа к данной странице необходимо <a href="'. a_url('user/login') .'"><b>войти</b></a> либо <a href="'. a_url('user/registration') .'"><b>зарегистрироваться</b></a>');
        	}
        	else {
        		a_error('У вас нет доступа к данной странице!');
        	}
		}
	}
}
?>