<?php
/**
 * Ant0ha's project
 *
 * @package
 * @author Anton Pisarenko <wapwork@bk.ru>
 * @copyright Copyright (c) 2006 - 2010, Anton Pisarenko
 * @license http://ant0ha.ru/license.txt
 * @link http://ant0ha.ru
 */

defined('IN_SYSTEM') or die('<b>403<br />Запрет доступа!</b>');

//----------------------------------------
/**
* Класс для работы с MySQL
*/
class MySQL {
	/**
	* Хост
	*/
	public $db_host = NULL;
	/**
	* Пользователь БД
	*/
	public $db_user = NULL;
	/**
	* Пароль пользователя
	*/
	public $db_pass = NULL;
	/**
	* Название базы данных
	*/
	public $db_base = NULL;
	/**
	* Префикс таблиц
	*/
	public $prefix = '';
	/**
	* Режим отладки
	*/
	public $debugging = FALSE;
	/**
	* Ссылка на соединение
	*/
	public $db_link;
	/**
	* Запросы
	*/
	public $list_queries = array();

	/**
	* @desc Функция конструктор
	*/
	public function __construct($db_host = '', $db_user = '', $db_pass = '', $db_base = '', $prefix = '', $debugging = FALSE) {
		$this->db_host = !empty($db_host) ? $db_host : DB_HOST;
		$this->db_user = !empty($db_user) ? $db_user : DB_USER;
		$this->db_pass = !empty($db_pass) ? $db_pass : DB_PASS;
		$this->db_base = !empty($db_base) ? $db_base : DB_BASE;
		$this->prefix =  !empty($prefix) ? $prefix : DB_PREFIX;
		$this->debugging = $debugging ? $debugging : DB_DEBUGGING;
	}

	/**
	* @desc Соединение с базой
	*/
	public function connect(){
		$this->db_link = @mysql_connect($this->db_host, $this->db_user, $this->db_pass, 0, 65536) or $this->error("Could not connect");
	    @mysql_select_db(DB_BASE) or $this->error("Could not select database <br />\n" . mysql_error($this->db_link));
	}

	/**
	* Выполнение запроса к базе
 	*/
	public function query($query){
		$query = $this->replace($query);

		# Засекаем время выполнения запроса
		$mtime = explode(" ", microtime());
		$start_time = $mtime[1] + $mtime[0];

		# Выполняем запрос
		$result = @mysql_query($query, $this->db_link) or $this->error($query . "<br />\n" . mysql_error($this->db_link));

		# Получаем время по окончанию запроса
		$mtime = explode(" ", microtime());
		$end_time = $mtime[1] + $mtime[0];

		# Высчитываем время на запрос
		$query_time = $end_time - $start_time;

		$this->list_queries[] = array(
			'query' => $query,
			'time' => $query_time
		);

		return $result;
	}

	/**
	* Получение одной ячейки
	*/
	public function get_one($query){
		$result = $this->query($query);
		if($row = mysql_fetch_row($result)) return $row[0];
		return FALSE;
	}

	/**
	* Получение строки
	*/
	public function get_row($query, $restype = MYSQL_ASSOC){
		$result = $this->query($query);
		if($row = mysql_fetch_array($result, $restype)) return $row;
		return FALSE;
    }

	/**
	* Получение нескольких строк
	*/
	public function get_array($query){
		$data = array();
		$result = $this->query($query);
        while($row=mysql_fetch_array($result)) $data[]=$row;
		return $data;
    }

	/**
	* Закрытие соединения
	*/
    public function close(){
		if($this->db_link) mysql_close($this->db_link);
        $this->db_link = NULL;
    }

	/**
	* Кодировка БД
	*/
	public function charset($charset){
		$this->query("SET NAMES $charset");
		return TRUE;
	}

	/**
	* Последний вставленный id
	*/
	public function insert_id() {
		return mysql_insert_id($this->db_link);
	}

	/**
	* Аналог mysql_fetch_array()
	*/
	public function fetch_array($result){
		return mysql_fetch_array($result);
	}

	/**
	* @desc Аналог mysql_num_rows()
	* @param resourse result
	*/
	public function num_rows($result) {
		return mysql_num_rows($result);
	}

	/**
	* Замена префикса
	*/
	protected function replace($query){
		return str_replace('#__', $this->prefix, $query);
	}

	/**
	* Вывод ошибки и завершение работы
	*/
	protected function error($error){
		if($this->debugging)
		print "<pre>". $error ."</pre>\n";
    	exit;
	}
}

?>