<?php

/*=========================================================================*/
/*
/* 	Имя скрипта: /libraries/template.php
/*	Назначение: легкий шаблонизатор
/*  Дата создания: 15.05.2009
/*  Дата последней модификации: 15.05.2009
/*
/*	Автор: DreamDragon (http://g3.steelwap.org)
/*  Модификация: Ant0ha
/*	Визитка: http://ant0ha.ru
/* 	ICQ: 144-144-2
/*  Mail: mne@ant0ha.ru
/*
/*=========================================================================*/

class Template {

	# Путь к папке с шаблонами
	var $template_dir = NULL;
	# Путь к папке кэша
	var $cache_dir = NULL;
	# Переменные шаблона
	var $vars = array();
	# Имя компилируемого файла
	var $template_file = NULL;
	# Название темы
	var $theme = 'default';
	# Имя откомпилированного файла
	var $template_cache = NULL;
	# Использовать ли компилирование
	var $enable_cache = FALSE;

  	// Конструктор
  	function Template($template_dir = '', $cache_dir = ''){
		$this->template_dir = ($template_dir ? $template_dir : ROOT .'views/');
    		$this->cache_dir = ($cache_dir ? $cache_dir : ROOT .'cache/views/');
  	}

  	// Функция генерации страницы
  	function parse($filename, $params = array()){

  		# Если не указано расширение файла, указываем его
  		if(!strstr($filename, '.tpl')) $filename .= '.tpl';

    	# Определение дополнительных параметров
    	foreach($params AS $var => $var_value) {
    		$this->vars[$var] = $var_value;
    	}

    	# Запоминаем имя файла с шаблонами
    	$this->template_file = $this->template_dir . $this->theme .'/'. $filename;
    	# Запоминаем имя откомпилированного файла с шаблонами
    	$this->template_cache = $this->cache_dir . str_replace('/', '_', ($this->theme .'___'. $filename));

    	# Создаем ссылки на переменные из общего массива, чтобы они были видны в шаблоне
    	extract($this->vars, EXTR_REFS);

    	# Если существует уже скомпилированная версия файла, то используем ее
    	if($this->enable_cache && file_exists($this->template_cache)) {
      		ob_start();
      		# Подключаем шаблон
      		include($this->template_cache);

			return ob_get_clean();
    	}
		else {
			# Если откомпилированный файл не существует, то компилируем файл заново
			# Проверка на существование шаблона
			if(!file_exists($this->template_file)){
				# однако если шаблон не существует, но такой шаблон имеется в Default то берем его
				if(file_exists($this->template_dir . 'default/' . $filename)){
					$this->template_file = $this->template_dir . 'default/' . $filename;
				}
				# иначе выведем ошибку
				else {
					die('Файл <b>'. $filename .'</b> не является шаблоном или не найден.');
				}
			}

			# Получаем текст шаблона
			$text = file_get_contents($this->template_file);
			/* Заменяем конструкцию типа: [*...*] на <?..?> */
			$text = strtr($text, array('[*='=>'<?php echo ', '[*'=>'<?php ', '*]'=>' ?>'));
			# Убираем лишние переносы строк и пробелы из шаблона
			$text = preg_replace('/[\n\r\ ]{2,}/', "\n", $text);

			# Записываем код в файл
			$f = fopen($this->template_cache, 'w');
			fwrite($f, $text);
			fclose($f);

			#chmod($this->template_cache, 0777);

			# Выполняем код и возвращаем сгенерированную страницу
			ob_start();
			include($this->template_cache);
			return ob_get_clean();
		}

  	}

  	function display($filename, $params = array()) {
  		echo $this->parse($filename, $params);
  	}

	# Функция ассигнования переменных (подгон под smarty)
  	function assign($param1, $param2 = NULL) {
  		if(!$param2 && is_array($param1)) {
  			foreach($param1 AS $key => $value) {
  				$this->vars[$key] = $value;
  			}
  			return TRUE;
  		}
  		elseif($param2) {
  			$this->vars[$param1] = $param2;
  			return TRUE;
  		}
  		return FALSE;
  	}

	// Функция выводит все данные из общего массива на страницу.
	// Используется для отладки
	function debug(){
	    echo '<pre>';
	    print_r($this->vars);
	    echo '</pre>';
	}

}

?>