<?php
/**
 * Ant0ha's project
 *
 * @package
 * @author Ant0ha, ICQ: 144-144-2, e-mail: wapwork@bk.ru
 * @copyright Copyright (c) 2006 - 2010, Ant0ha
 * @license http://ant0ha.ru/license.txt
 * @link http://ant0ha.ru
 */

//---------------------------------------------

defined('IN_SYSTEM') or die('<b>403<br />Запрет доступа!</b>');

/**
* Хелпер загрузок
*/
class downloads {
	/**
	* @desc получение реального пути к папке
	* @param $int
	*/
	public static function get_path($directory_id, &$db, $directory_path = array(), $i = 0) {
		$directory = $db->get_row("SELECT * FROM #__downloads_directories WHERE directory_id = '". intval($directory_id) ."'");
	 	$parent = $db->get_row("SELECT * FROM #__downloads_directories WHERE directory_id = '". intval($directory['parent_id']) ."'");
	 	$i++;
	 	if($parent['directory_id'] != 0) {
	 		$directory_path[$i]['directory_id'] = $parent['directory_id'];
	  		$directory_path[$i]['name'] = $parent['name'];
	  		$directory_path = self::get_path($parent['directory_id'], $db, $directory_path, $i);
	  	}
	  	return $directory_path;
	}

	/**
	* @desc получение полного пути к папке
	* @param $array
	*/
	public static function get_realpath($directories_array) {
		if(empty($directories_array)) return;

		foreach($directories_array AS $directory) {
			$directory_path[] = $directory['directory_id'];
		}
		if(count($directory_path) > 1) {
	   		$realpath = array_reverse($directory_path);
	   		$realpath = implode('/', $realpath);
	  	}
	  	else {
	   		$realpath = $directory_path[0];
	  	}

	  	return $realpath;
	}

	/**
	* @desc получение полного пути к папке
	* @param $array
	*/
	public static function get_namepath($directories_array, $delim = '/', $admin = FALSE) {
		if(empty($directories_array)) return;

	        $segment = $admin ? 'downloads/admin' : 'downloads';

		foreach($directories_array AS $directory) {
			$directory_path[] = '<a href="'. a_url($segment, 'directory_id='. $directory['directory_id']) .'">'. $directory['name'] .'</a>';
		}
		if(count($directory_path) > 1) {
	   		$realpath = array_reverse($directory_path);
	   		$realpath = implode($delim, $realpath);
	  	}
	  	else {
	   		$realpath = $directory_path[0];
	  	}

	  	return $realpath;
	}

	/**
	* @desc скачка файла
	* @param $string, $string
	*/
	public static function force_download($filename = '', $data = '', $prefix = '', $attachment = TRUE)
	{
		if ($filename == '' OR $data == '')
		{
			return FALSE;
		}

		// Try to determine if the filename includes a file extension.
		// We need it in order to set the MIME type
		if (FALSE === strpos($filename, '.'))
		{
			return FALSE;
		}

		// Grab the file extension
		$x = explode('.', $filename);
		$extension = end($x);

		// Load the mime types
		@include(ROOT .'utils/mimes.php');

		// Set a default mime if we can't find it
		if ( ! isset($mimes[$extension]))
		{
			$mime = 'application/octet-stream';
		}
		else
		{
			$mime = (is_array($mimes[$extension])) ? $mimes[$extension][0] : $mimes[$extension];
		}

		if(!$attachment) {
			//exit($mime);
			header('Content-Type: '.$mime);
			header("Content-Length: ".strlen($data));
		}
		else {
			// Generate the server headers
			if (strstr($_SERVER['HTTP_USER_AGENT'], "MSIE"))
			{
				header('Content-Type: '.$mime);
				header('Content-Disposition: attachment; filename='.$prefix . $filename);
				header('Expires: 0');
				header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
				header("Content-Transfer-Encoding: binary");
				header('Pragma: public');
				header("Content-Length: ".strlen($data));
			}
			else
			{
				header('Content-Type: '.$mime);
				header('Content-Disposition: attachment; filename='.$prefix . $filename);
				header("Content-Transfer-Encoding: binary");
				header('Expires: 0');
				header('Pragma: no-cache');
				header("Content-Length: ".strlen($data));
			}
		}

		exit($data);
	}

	/**
	* @desc Рекурсивный подсчет файлов в папке
	* @param $string
	*/
	public static function count_files($directory_id) {
		GLOBAL $db;
		$files = $db->get_one("SELECT COUNT(*) FROM #__downloads_files WHERE directory_id = '". intval($directory_id) ."'");
		$result = $db->query("SELECT * FROM #__downloads_directories WHERE parent_id = '". intval($directory_id) ."'");
		while($cild_directory = $db->fetch_array($result)) {
			$files += count_files($cild_directory['directory_id']);
		}
		return $files;
	}

	/**
	* @desc определение имени файла
	* @param $string
	*/
	public static function get_filename($string) {
	    $headers = get_headers($string);

	    foreach($headers AS $header) {
	        if(stripos($header, 'Location:') === 0) {
	            $url = trim(str_ireplace('Location: ', '', $header));
	            return basename($url);
	        }
	    }

	    return FALSE;
	}

	/**
	* Действия над файлом
	*/
	public static function filetype_actions($file) {
		# Создаем превьюшки для картинок, анимаций и файлов со скринами
		if(@$file['screen1'] != '' || $file['file_ext'] == 'png' || $file['file_ext'] == 'gif' || $file['file_ext'] == 'jpg' || $file['file_ext'] == 'jpeg') {
			if(@$file['screen1'] != '') $src_file = ROOT . $file['path_to_file'] .'/'. $file['screen1'];
			 $src_file = ROOT . $file['path_to_file'] .'/'. $file['real_name'];

			# 20x20
			main::image_resize($src_file, ROOT . $file['path_to_file'] .'/preview_20.jpg', 20, 20);
			# 60x60
			main::image_resize($src_file, ROOT . $file['path_to_file'] .'/preview_60.jpg', 60, 60);
			# 100x100
			main::image_resize($src_file, ROOT . $file['path_to_file'] .'/preview_100.jpg', 100, 100);

			$file['previews'] = 'yes';
		}
		return $file;
	}
}

?>