<?php
/**
 * Ant0ha's project
 *
 * @package
 * @author Anton Pisarenko <wapwork@bk.ru>
 * @copyright Copyright (c) 2006 - 2010, Anton Pisarenko
 * @license http://ant0ha.ru/license.txt
 * @link http://ant0ha.ru
 */

defined('IN_SYSTEM') or die('<b>403<br />Запрет доступа!</b>');

/**
* Контроллер управления пользователями
*/
class User_Admin_Controller extends Controller {
	/**
	* Уровень пользовательского доступа
	*/
	protected $access_level = 10;
	/**
	* Тема
	*/
	protected $template_theme = 'admin';

	/**
	* Метод по умолчанию
	*/
	public function action_index() {
		$this->action_list_users();
	}

	/**
	* Удаление пользователя
	*/
	public function action_delete() {
		main::is_demo();
		# Получаем инфо о пользователе
		$user_delete = $this->user_model->get_user_info($_GET['user_id']);
		$user_delete_access = $this->access->get_level($user_delete['status']);

		if(ACCESS_LEVEL <= $user_delete_access) a_error("У вас нет прав на выполнение этой операции!");
		else {
			$this->user_model->user_delete($user_delete['user_id']);
			a_notice('Пользователь удален!', a_url('user/admin'));
		}
	}

	/**
	* Бан пользователя
	*/
	public function action_ban() {
		# Получаем инфо о пользователе
		$user_ban = $this->user_model->get_user_info($_GET['user_id']);
		$user_ban_access = $this->access->get_level($user_ban['status']);

		if(ACCESS_LEVEL <= $user_ban_access) a_error("У вас нет прав на выполнение этой операции!");

		if(isset($_POST['submit'])) {
			main::is_demo();
			if(!is_numeric($_POST['hours'])) {
				$this->error .= 'Неверный формат времени - только целые числа.<br />';
			}
			if(empty($_POST['description'])) {
				$this->error .= 'Укажите причину бана.<br />';
			}

			if(!$this->error) {
				$this->user_model->user_ban($_GET['user_id'], $_POST['hours'], $_POST['description']);
				a_notice('Пользователь забанен.', a_url('user/admin'));
			}
		}

		if(!isset($_POST['submit']) || $this->error) {
			$this->tpl->assign(array(
				'error' => $this->error,
				'username_ban' => $user_ban['username']
			));

			$this->tpl->display('ban');
		}
	}


	/**
	* Редактирование пользователя
	*/
	public function action_edit() {
		# Получаем инфо о пользователе
		$user_edit = $this->user_model->get_user_info($_GET['user_id']);
		$user_edit_access = $this->access->get_level($user_edit['status']);

		if(ACCESS_LEVEL <= $user_edit_access) a_error("У вас нет прав на выполнение этой операции!");

		if(isset($_POST['submit'])) {
			main::is_demo();
			$user_edit = $_POST;
			if(!check($user_edit['email'], 'MAIL')) {
			$this->error .= 'Неверный формат e-mail.<br />';
			}
			if($user_edit['status'] != 'admin' && $user_edit['status'] != 'moder' && $user_edit['status'] != 'user') {
			$this->error .= 'Укажите валидный статус!<br />';
			}

			if(!$this->error) {
				$this->user_model->user_support_edit($_GET['user_id'], $user_edit['email'], $user_edit['status']);
				a_notice('Пользователь изменен!', a_url('user/admin'));
			}
		}
		if(!isset($_POST['submit']) || $this->error) {
			$this->tpl->assign(array(
				'error' => $this->error,
				'user_edit' => $user_edit
			));

			$this->tpl->display('edit');
		}
	}

	/**
	* Вход в панель к пользователю
	*/
    public function action_go_to_user_panel() {
    	if(!$this->db->get_row("SELECT * FROM #__users WHERE user_id = '". intval($_GET['user_id']) ."'"))
    		a_error('Пользователь не найден!');

    	$_SESSION['check_user_id'] = intval($_GET['user_id']);

    	header('Location: '. a_url(MAIN_MENU));
    }

	/**
	* Листинг пользователей
	*/
	public function action_list_users() {
		$per_page = 20;

		# Получение данных
		$users = $this->user_model->get_users(@$_GET['user_id'], @$_GET['username'], @$_GET['status'], @$_GET['last_visit'], @$_GET['sort'], $this->start, $per_page);
		$total = $this->db->get_one("SELECT FOUND_ROWS()");

		# Пагинация
		$pg_conf['base_url'] = a_url('user/admin', 'status='. @$_GET['status'] .'&amp;login='. @$_GET['username'] .'&amp;user_id='. @$_GET['user_id'] .'&amp;sort='. @$_GET['sort'] .'&amp;start=');
		$pg_conf['total_rows'] = $total;
		$pg_conf['per_page'] = $per_page;

		a_import('libraries/pagination');
		$pg = new CI_Pagination($pg_conf);

		$this->tpl->assign(array(
			'users' => $users,
			'total' => $total,
			'pagination' => $pg->create_links()
		));

		$this->tpl->display('list_users');
	}
}
?>