<?php
/**
 * Ant0ha's project
 *
 * @package
 * @author Anton Pisarenko <wapwork@bk.ru>
 * @copyright Copyright (c) 2006 - 2010, Anton Pisarenko
 * @license http://ant0ha.ru/license.txt
 * @link http://ant0ha.ru
 */

defined('IN_SYSTEM') or die('<b>403<br />Запрет доступа</b>');

class User_Model {

	/**
	* DB класс
	*/
	public $db = NULL;

    /**
    * Конструктор
    */
	public function __construct() {
		GLOBAL $db;
		$this->db = $db;
	}

	/**
	* Проверка логина на занятость
	*/
	public function username_exists($username) {
		 if($this->db->get_one("SELECT username FROM #__users WHERE username = '". a_safe($username) ."'")) return TRUE;
		 else return FALSE;
	}

	/**
	* проверка email на занятость
	*/
	public function email_exists($email) {
		 if($this->db->get_one("SELECT email FROM #__users WHERE email = '". a_safe($email) ."'")) return TRUE;
		 else return FALSE;
	}

	/**
	* регистрация пользователя
	*/
	public function registration($username, $email, $password) {
		if($this->db->query("INSERT INTO #__users SET
		 	username = '". a_safe($username) ."',
		 	email = '". a_safe($email) ."',
		 	password = '". md5(md5($password)) ."',
		 	reg_time = '". time() ."',
		 	last_visit = UNIX_TIMESTAMP()
		")) return $this->db->insert_id();
		else return FALSE;
	}

	/**
	* проверка имени и пароля пользователя при входе
	*/
	public function check_user($username, $password) {
		if($user_id = $this->db->get_one("SELECT user_id
			FROM #__users
			WHERE username = '". a_safe($username) ."' AND
			(password = '". md5(md5($password)) ."'
			OR (pin_code = '". md5(md5($password)) ."' AND pin_code_time > ". (time() - $GLOBALS['CONFIG']['pin_code_time']) ."))
		")) return $user_id;
		else return FALSE;
	}

	/**
	* Проверка имени пользователя или е-мэил адреса при восстановлении пароля
	*/
	public function check_username_email($username = '', $email = '') {
		if($user_info = $this->db->get_row("SELECT *
			FROM #__users
			WHERE username = '". a_safe($username) ."' OR
			email = '". a_safe($email) ."'
		")) return $user_info;
		else return FALSE;
	}

	/**
	* Получение нового пин кода при восстановлении пароля
	*/
	public function get_pin_code($user_id) {
 		$pin_code = main::get_unique_code(7);

 		if($this->db->query("UPDATE #__users SET
 			pin_code = '". md5(md5($pin_code)) ."',
 			pin_code_time = '". time() ."'

 			WHERE
 			user_id = '$user_id'
 		")) return $pin_code;
 		else return FALSE;
 	}

 	/**
 	* Изменение пользователя (изменение профиля)
 	*/
 	public function edit_user() {
 		if($this->db->query("UPDATE #__users SET
 			password = '". md5(md5($_POST['new_password'])) ."'
 			WHERE
 			user_id = '". USER_ID ."'
 		")) return TRUE;
 		else return FALSE;
 	}

 	/**
 	* Получение информации о пользователе
 	*/
    public function get_user_info($user_id = '') {
    	if($user_id) $user_id = $user_id;
    	elseif(!empty($_SESSION['check_user_id'])) $user_id = $_SESSION['check_user_id'];
    	elseif(!empty($_SESSION['user_id'])) $user_id = $_SESSION['user_id'];
    	else $user_id = -1;

    	if(!is_numeric($user_id)) return FALSE;

    	if($user_info = $this->db->get_row("SELECT * FROM #__users WHERE user_id = $user_id")) return $user_info;
    	else return FALSE;
    }

	/**
    * Проверка пользователя и получение его id
    */
	public function get_user_id($user_to_id, $username_to) {
		if($user_to_id = $this->db->get_one("SELECT user_id FROM #__users
			WHERE
			user_id = '". intval($user_to_id) ."' OR
			username = '". a_safe($username_to) ."'
		")) return $user_to_id;
		return FALSE;
	}

	/**
	* Получение списка пользователей
	*/
	public function get_users($user_id, $login, $status, $last_visit, $sort, $start, $per_page) {
		$sql = "SELECT SQL_CALC_FOUND_ROWS * FROM #__users
			WHERE 1 = 1 AND user_id > 0 ";
        if(!empty($user_id)) $sql .= " AND user_id = ". intval($user_id);
        else {
        	if(!empty($login)) $sql .= " AND username LIKE '%". a_safe($login) ."%'";
        	if(!empty($status)) $sql .= " AND status = '". a_safe($status) ."'";
        	if(!empty($last_visit)){
				$ex = explode('.', $last_visit);
				$last_visit = mktime(0, 0, 0, $ex[1], $ex[0], $ex[2]);	$sql .= "AND last_visit < ". $last_visit ." ";
     		}
        }
        $sql .= " ORDER BY user_id ". ($sort == 'desc' ? 'DESC' : 'ASC') ." LIMIT $start, $per_page";

        return $this->db->get_array($sql);
   	}

   	/**
   	* Удаление пользователя
   	*/
   	public function user_delete($user_id) {
   		if($this->db->query("DELETE FROM #__users WHERE user_id = ". intval($user_id))) return TRUE;
   		return FALSE;
   	}

   	/**
   	* Бан пользователя
   	*/
   	public function user_ban($user_id, $hours, $description) {
   		if($this->db->query("INSERT INTO #__users_ban SET
   			user_id = '". intval($user_id) ."',
   			to_time = '". ($hours * 3600 + time()) ."',
   			description = '". a_safe($description) ."'
   		")) return TRUE;
   		return FALSE;
   	}

   	/**
   	* Изменение пользователя администрацией
   	*/
 	public function user_support_edit($user_id, $email, $status) {
 		if($this->db->query("UPDATE #__users SET
 			email = '". a_safe($email) ."',
 			status = '". a_safe($status) ."'
 			WHERE
 			user_id = '". intval($user_id) ."'
 		")) return TRUE;
 		else return FALSE;
 	}
}
?>